#include <windows.h>
#include <mmsystem.h>

#define MODE_STOP            0
#define MODE_PLAYING         1
#define MODE_RECORDING       2
#define MODE_PLAYINGPAUSED   3
#define MODE_RECORDINGPAUSED 4

UINT  mciwioOpen(LPSTR szFileName);
BOOL  mciwioSelectFile(LPSTR lpszFileName);
void  mciwioClose(UINT wDeviceID);
DWORD mciwioPlay(HWND hwnd, UINT wDeviceID);
void  mciwioError(DWORD dwrc);
DWORD mciwioStop(UINT wDeviceID);
DWORD mciwioPause(UINT wDeviceID);
DWORD mciwioResume(UINT wDeviceID);
WORD  mciwioRecord(HWND hwnd, DWORD dwMSec);
